Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members Related Pages

# Rendering/vtkCocoaWindow.h File Reference

Go to the source code of this file.

## Variables

void * | myVTKRenderWindow
void * | myVTKRenderWindowInteractor
vtkCocoaGLView * | getvtkCocoaGLView
void | setvtkCocoaGLView
void * | getVTKRenderWindow
void | setVTKRenderWindow
void * | getVTKRenderWindowInteractor
void | setVTKRenderWindowInteractor
void | makeCurrentContext
NSSize | windowWillResize
BOOL | windowShouldZoom
void | close

## Variable Documentation

void* myVTKRenderWindow

| Definition at line 9 of file vtkCocoaWindow.h.

void* myVTKRenderWindowInteractor

| Definition at line 10 of file vtkCocoaWindow.h.

vtkCocoaGLView* getvtkCocoaGLView

| Definition at line 15 of file vtkCocoaWindow.h.

void setvtkCocoaGLView

| Definition at line 16 of file vtkCocoaWindow.h.

void* getVTKRenderWindow

| Definition at line 18 of file vtkCocoaWindow.h.

void setVTKRenderWindow

| Definition at line 19 of file vtkCocoaWindow.h.

void* getVTKRenderWindowInteractor

| Definition at line 21 of file vtkCocoaWindow.h.

void setVTKRenderWindowInteractor

| Definition at line 22 of file vtkCocoaWindow.h.

void makeCurrentContext

| Definition at line 24 of file vtkCocoaWindow.h.

NSSize windowWillResize

| Definition at line 26 of file vtkCocoaWindow.h.

BOOL windowShouldZoom

| Definition at line 27 of file vtkCocoaWindow.h.

void close

| Definition at line 28 of file vtkCocoaWindow.h.